GETCONF(1)

NAME
getconf - get configuration values

SYNOPSIS
getconf [-Ll] [-v specification] name [pathname]

DESCRIPTION
The getconf utility writes the current value of a configurable system limit or option variable to the standard output.

The name argument specifies the system variable to be queried. The pathname argument must be supplied for system variables associated with a pathname.

The options are as follows:

-L  List the system variables that can be used with the getconf utility that require a pathname argument.

-l  List the system variables that can be used with the getconf utility without a pathname argument.

-v specification
    Indicate a specific version and compilation environment for which configuration variables shall be queried. OpenBSD does not change behavior for different compilation environments, so the argument to this option is only checked for validity.

EXIT STATUS

SEE ALSO
pathconf(2), confstr(3), sysconf(3)

STANDARDS
The getconf utility is compliant with the p1003.1-2008 specification.

The flags [-Ll] are extensions to that specification.